package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * cm_page
 *
 * @author
 */
@Data
public class CmPage implements Serializable {
    private Long id;

    /**
     * 类型：1二级列表 2项目详情 3讲师列表 4自由页面 5分页详情
     */
    private String type;

    /**
     * 标题
     */
    private String title;

    /**
     * 一级分类类型，1产品，2仪器(针对分页详情)
     */
    private String typeSort;

    /**
     * seo关键词
     */
    private String keywords;

    /**
     * 描述
     */
    private String description;

    /**
     * 精确搜索关键字
     */
    private String precisehKey;

    /**
     * 索引文档加权值
     */
    private Double docBoost;

    /**
     * 首部图片
     */
    private String headImage;

    /**
     * crm首部图片
     */
    private String crmHeadImage;

    /**
     * 首层大图链接
     */
    private String headLink;

    /**
     * 首部文字
     */
    private String headText;

    /**
     * 底部图片
     */
    private String bottomImage;

    /**
     * 按钮名称
     */
    private String buttonName;

    /**
     * 按钮跳转链接
     */
    private String buttonLink;

    /**
     * crm端底部图片1
     */
    private String crmBottomImage1;

    /**
     * crm端底部图片2
     */
    private String crmBottomImage2;

    /**
     * 底部文字
     */
    private String bottomText;

    /**
     * 状态 0停用 1启用
     */
    private String enabledStatus;

    /**
     * 创建人
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 最后更新人
     */
    private Long updateBy;

    /**
     * 最后更新时间
     */
    private Date updateDate;

    /**
     * 填充背景类型默认不显示 ：1使用颜色，2使用背景图
     */
    private String backgroundType;

    /**
     * 背景颜色，示例#3333b9
     */
    private String backgroundColour;

    /**
     * 背景图
     */
    private String backgroundImage;

    /**
     * 背景图方式：1平铺、2填充
     */
    private String backgroundImageWay;

    private static final long serialVersionUID = 1L;
}